## k3b 20.12.3

=== debian/changelog ===
k3b (20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)
  * Update install files for new translations.

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:15:58 +0000

k3b (20.12.2-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + k3b depends on k3b-i18n, not vice versa.
      + Package breaks/replaces to suit Kubuntu upload history.
    - debian/patches/kubuntu_07_quicklists.diff

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Feb 2021 10:13:14 +0000

k3b (20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:50:22 +0000

k3b (20.12.1-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + k3b depends on k3b-i18n, not vice versa.
      + Package breaks/replaces to suit Kubuntu upload history.
    - debian/patches/kubuntu_07_quicklists.diff

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jan 2021 13:09:26 +0000

k3b (20.12.0-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + k3b depends on k3b-i18n, not vice versa.
      + Package breaks/replaces to suit Kubuntu upload history.
    - debian/patches/kubuntu_07_quicklists.diff

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Dec 2020 13:44:31 +0000

k3b (20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:23:09 +0000

k3b (20.08.3-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + k3b depends on k3b-i18n, not vice versa.
      + Package breaks/replaces to suit Kubuntu upload history.
    - debian/patches/kubuntu_07_quicklists.diff

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Nov 2020 09:38:18 +0000

k3b (20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:48:03 +0000

=== debian/control ===
Source: k3b
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Michael Meskes <meskes@debian.org>,
           Mark Purcell <msp@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.56.0~),
               gettext,
               libavformat-dev,
               libcam-dev [kfreebsd-any],
               libdvdread-dev,
               libflac++-dev,
               libflac-dev,
               libkf5archive-dev (>= 5.56.0~),
               libkf5cddb-dev (>= 4:20.12.3~),
               libkf5config-dev (>= 5.56.0~),
               libkf5coreaddons-dev (>= 5.56.0~),
               libkf5doctools-dev (>= 5.56.0~),
               libkf5filemetadata-dev (>= 5.56.0~),
               libkf5i18n-dev (>= 5.56.0~),
               libkf5iconthemes-dev (>= 5.56.0~),
               libkf5jobwidgets-dev (>= 5.56.0~),
               libkf5kcmutils-dev (>= 5.56.0~),
               libkf5kio-dev (>= 5.56.0~),
               libkf5newstuff-dev (>= 5.56.0~),
               libkf5notifications-dev (>= 5.56.0~),
               libkf5notifyconfig-dev (>= 5.56.0~),
               libkf5service-dev (>= 5.56.0~),
               libkf5solid-dev (>= 5.56.0~),
               libkf5widgetsaddons-dev (>= 5.56.0~),
               libkf5xmlgui-dev (>= 5.56.0~),
               libmad0-dev,
               libmp3lame-dev,
               libmpcdec-dev,
               libmusicbrainz5-dev,
               libqt5webkit5-dev (>= 5.12.5+dfsg-3~),
               libsamplerate0-dev,
               libsndfile1-dev,
               libtag1-dev,
               libvorbis-dev,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.12.5+dfsg-3~),
               shared-mime-info,
Standards-Version: 4.5.1
Homepage: https://userbase.kde.org/K3b
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
Rules-Requires-Root: no

Package: k3b
Architecture: any
Depends: cdparanoia,
         cdrdao [linux-any],
         genisoimage,
         k3b-data (= ${source:Version}),
         libk3b7 (= ${binary:Version}),
         udisks2 [linux-any],
         wodim | cdrskin,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: dvd+rw-tools, growisofs, k3b-i18n, libk3b7-extracodecs, vcdimager
Breaks: k3b-data (<< 20.08.0-1~)
Replaces: k3b-data (<< 20.08.0-1~)
Suggests: k3b-extrathemes,
          kde-config-cddb,
          movixmaker-2,
          normalize-audio,
          sox
Description: Sophisticated CD/DVD burning application
 K3b is a full-featured CD/DVD/Blu-ray burning and ripping application.
 It supports a variety of project types as well as copying of optical
 media, burning of different types of images, and ripping Audio CDs,
 Video CDs, and Video DVDs.
 Its convenient user interface is targeted at all audiences, trying to
 be as simple as possible for novice users, while also providing all
 features an advanced user might need.

Package: k3b-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Sophisticated CD/DVD burning application - data files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains the required data files common to all architectures.

Package: k3b-extrathemes
Architecture: all
Depends: k3b, ${misc:Depends}
Description: Sophisticated CD/DVD burning application - extra themes
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains additional themes for K3b.

Package: k3b-i18n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Description: Sophisticated CD/DVD burning application - localizations files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains translations files.

Package: libk3b-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libk3b7 (= ${binary:Version}),
         ${misc:Depends},
Description: KDE CD/DVD burning application library - development files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains development files.

Package: libk3b7
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE CD/DVD burning application library - runtime files
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries.

Package: libk3b7-extracodecs
Architecture: any
Multi-Arch: same
Depends: libk3b7 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: KDE CD/DVD burning application library - extra decoders
 K3b provides a comfortable user interface to perform most CD/DVD burning
 tasks. While the experienced user can take influence in all steps
 of the burning process the beginner may find comfort in the automatic settings
 and the reasonable k3b defaults which allow a quick start.
 .
 This package contains runtime libraries for the MP3 and FFMPEG decoder plugin.

## k3b 21.04.3

=== debian/changelog ===
k3b (21.04.3-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * New upstream release (21.04.3).

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 16 Jul 2021 12:39:45 -0700

k3b (21.04.2-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.2).

 -- Norbert Preining <norbert@preining.info>  Thu, 10 Jun 2021 19:24:45 +0900

k3b (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Removed Mark Purcell from the uploaders, thanks for your work on the
    package!
  * Added myself to the uploaders.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 23:29:36 +0900

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: k3b
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Scarlett Moore <sgmoore@kde.org>,
-           Michael Meskes <meskes@debian.org>,
-           Mark Purcell <msp@debian.org>
-Build-Depends: cmake,
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Michael Meskes <meskes@debian.org>,
+           Norbert Preining <norbert@preining.info>,
+           Scarlett Moore <sgmoore@kde.org>
+Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.56.0~),
                gettext,
@@ -15,7 +16,7 @@
                libflac++-dev,
                libflac-dev,
                libkf5archive-dev (>= 5.56.0~),
-               libkf5cddb-dev (>= 4:20.12.3~),
+               libkf5cddb-dev (>= 5.56.0~),
                libkf5config-dev (>= 5.56.0~),
                libkf5coreaddons-dev (>= 5.56.0~),
                libkf5doctools-dev (>= 5.56.0~),
@@ -43,11 +44,11 @@
                libvorbis-dev,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.12.5+dfsg-3~),
-               shared-mime-info,
+               shared-mime-info
 Standards-Version: 4.5.1
 Homepage: https://userbase.kde.org/K3b
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/k3b.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/k3b
 Rules-Requires-Root: no
 
 Package: k3b
@@ -60,11 +61,11 @@
          udisks2 [linux-any],
          wodim | cdrskin,
          ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: dvd+rw-tools, growisofs, k3b-i18n, libk3b7-extracodecs, vcdimager
-Breaks: k3b-data (<< 20.08.0-1~)
-Replaces: k3b-data (<< 20.08.0-1~)
-Suggests: k3b-extrathemes,
+         ${shlibs:Depends},
+         dvd+rw-tools,
+         growisofs, libk3b7-extracodecs, vcdimager,
+         k3b-extrathemes,
+Suggests: k3b-i18n,
           kde-config-cddb,
           movixmaker-2,
           normalize-audio,
@@ -104,7 +105,7 @@
 Package: k3b-i18n
 Section: localization
 Architecture: all
-Depends: ${misc:Depends}
+Depends: k3b, ${misc:Depends}
 Description: Sophisticated CD/DVD burning application - localizations files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
@@ -117,8 +118,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libk3b7 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libk3b7 (= ${binary:Version}), ${misc:Depends}
 Description: KDE CD/DVD burning application library - development files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DK3B_ENABLE_HAL_SUPPORT=OFF

override_dh_strip:
	dh_strip --no-automatic-dbgsym

.PHONY: override_dh_dwz

## k3b 21.08.0

=== debian/control ===
--- 
+++ 
@@ -8,31 +8,31 @@
            Scarlett Moore <sgmoore@kde.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.56.0~),
+               extra-cmake-modules (>= 5.72.0~),
                gettext,
                libavformat-dev,
                libcam-dev [kfreebsd-any],
                libdvdread-dev,
                libflac++-dev,
                libflac-dev,
-               libkf5archive-dev (>= 5.56.0~),
+               libkf5archive-dev (>= 5.72.0~),
                libkf5cddb-dev (>= 5.56.0~),
-               libkf5config-dev (>= 5.56.0~),
-               libkf5coreaddons-dev (>= 5.56.0~),
-               libkf5doctools-dev (>= 5.56.0~),
-               libkf5filemetadata-dev (>= 5.56.0~),
-               libkf5i18n-dev (>= 5.56.0~),
-               libkf5iconthemes-dev (>= 5.56.0~),
-               libkf5jobwidgets-dev (>= 5.56.0~),
-               libkf5kcmutils-dev (>= 5.56.0~),
-               libkf5kio-dev (>= 5.56.0~),
-               libkf5newstuff-dev (>= 5.56.0~),
-               libkf5notifications-dev (>= 5.56.0~),
-               libkf5notifyconfig-dev (>= 5.56.0~),
-               libkf5service-dev (>= 5.56.0~),
-               libkf5solid-dev (>= 5.56.0~),
-               libkf5widgetsaddons-dev (>= 5.56.0~),
-               libkf5xmlgui-dev (>= 5.56.0~),
+               libkf5config-dev (>= 5.72.0~),
+               libkf5coreaddons-dev (>= 5.72.0~),
+               libkf5doctools-dev (>= 5.72.0~),
+               libkf5filemetadata-dev (>= 5.72.0~),
+               libkf5i18n-dev (>= 5.72.0~),
+               libkf5iconthemes-dev (>= 5.72.0~),
+               libkf5jobwidgets-dev (>= 5.72.0~),
+               libkf5kcmutils-dev (>= 5.72.0~),
+               libkf5kio-dev (>= 5.72.0~),
+               libkf5newstuff-dev (>= 5.72.0~),
+               libkf5notifications-dev (>= 5.72.0~),
+               libkf5notifyconfig-dev (>= 5.72.0~),
+               libkf5service-dev (>= 5.72.0~),
+               libkf5solid-dev (>= 5.72.0~),
+               libkf5widgetsaddons-dev (>= 5.72.0~),
+               libkf5xmlgui-dev (>= 5.72.0~),
                libmad0-dev,
                libmp3lame-dev,
                libmpcdec-dev,
@@ -62,9 +62,12 @@
          wodim | cdrskin,
          ${misc:Depends},
          ${shlibs:Depends},
+# moved from Recommends to dependencies for MX
          dvd+rw-tools,
-         growisofs, libk3b7-extracodecs, vcdimager,
-         k3b-extrathemes,
+         growisofs,
+         libk3b7-extracodecs,
+         vcdimager,
+         k3b-extrathemes
 Suggests: k3b-i18n,
           kde-config-cddb,
           movixmaker-2,

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -Skf5 -- -DK3B_ENABLE_HAL_SUPPORT=OFF
 
+# No dbgsym packages:
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym

## k3b 21.08.1

=== debian/changelog ===
k3b (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:30:29 +0100

k3b (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:58:37 +0100

k3b (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:51:08 +0100

k3b (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:30:52 +0100

k3b (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:39:26 +0100

k3b (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:35:44 +0100

k3b (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:02:39 +0100

k3b (21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:30:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,38 +1,37 @@
 Source: k3b
 Section: kde
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Michael Meskes <meskes@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-           Scarlett Moore <sgmoore@kde.org>
-Build-Depends: cmake (>= 3.0~),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Scarlett Moore <sgmoore@kde.org>,
+           Michael Meskes <meskes@debian.org>,
+           Mark Purcell <msp@debian.org>
+Build-Depends: cmake,
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.72.0~),
+               extra-cmake-modules (>= 5.56.0~),
                gettext,
                libavformat-dev,
                libcam-dev [kfreebsd-any],
                libdvdread-dev,
                libflac++-dev,
                libflac-dev,
-               libkf5archive-dev (>= 5.72.0~),
-               libkf5cddb-dev (>= 5.56.0~),
-               libkf5config-dev (>= 5.72.0~),
-               libkf5coreaddons-dev (>= 5.72.0~),
-               libkf5doctools-dev (>= 5.72.0~),
-               libkf5filemetadata-dev (>= 5.72.0~),
-               libkf5i18n-dev (>= 5.72.0~),
-               libkf5iconthemes-dev (>= 5.72.0~),
-               libkf5jobwidgets-dev (>= 5.72.0~),
-               libkf5kcmutils-dev (>= 5.72.0~),
-               libkf5kio-dev (>= 5.72.0~),
-               libkf5newstuff-dev (>= 5.72.0~),
-               libkf5notifications-dev (>= 5.72.0~),
-               libkf5notifyconfig-dev (>= 5.72.0~),
-               libkf5service-dev (>= 5.72.0~),
-               libkf5solid-dev (>= 5.72.0~),
-               libkf5widgetsaddons-dev (>= 5.72.0~),
-               libkf5xmlgui-dev (>= 5.72.0~),
+               libkf5archive-dev (>= 5.56.0~),
+               libkf5cddb-dev (>= 4:21.08.1~),
+               libkf5config-dev (>= 5.56.0~),
+               libkf5coreaddons-dev (>= 5.56.0~),
+               libkf5doctools-dev (>= 5.56.0~),
+               libkf5filemetadata-dev (>= 5.56.0~),
+               libkf5i18n-dev (>= 5.56.0~),
+               libkf5iconthemes-dev (>= 5.56.0~),
+               libkf5jobwidgets-dev (>= 5.56.0~),
+               libkf5kcmutils-dev (>= 5.56.0~),
+               libkf5kio-dev (>= 5.56.0~),
+               libkf5newstuff-dev (>= 5.56.0~),
+               libkf5notifications-dev (>= 5.56.0~),
+               libkf5notifyconfig-dev (>= 5.56.0~),
+               libkf5service-dev (>= 5.56.0~),
+               libkf5solid-dev (>= 5.56.0~),
+               libkf5widgetsaddons-dev (>= 5.56.0~),
+               libkf5xmlgui-dev (>= 5.56.0~),
                libmad0-dev,
                libmp3lame-dev,
                libmpcdec-dev,
@@ -44,11 +43,11 @@
                libvorbis-dev,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.12.5+dfsg-3~),
-               shared-mime-info
+               shared-mime-info,
 Standards-Version: 4.5.1
 Homepage: https://userbase.kde.org/K3b
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/k3b.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/k3b
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/k3b
 Rules-Requires-Root: no
 
 Package: k3b
@@ -61,14 +60,11 @@
          udisks2 [linux-any],
          wodim | cdrskin,
          ${misc:Depends},
-         ${shlibs:Depends},
-# moved from Recommends to dependencies for MX
-         dvd+rw-tools,
-         growisofs,
-         libk3b7-extracodecs,
-         vcdimager,
-         k3b-extrathemes
-Suggests: k3b-i18n,
+         ${shlibs:Depends}
+Recommends: dvd+rw-tools, growisofs, k3b-i18n, libk3b7-extracodecs, vcdimager
+Breaks: k3b-data (<< 20.08.0-1~)
+Replaces: k3b-data (<< 20.08.0-1~)
+Suggests: k3b-extrathemes,
           kde-config-cddb,
           movixmaker-2,
           normalize-audio,
@@ -108,7 +104,7 @@
 Package: k3b-i18n
 Section: localization
 Architecture: all
-Depends: k3b, ${misc:Depends}
+Depends: ${misc:Depends}
 Description: Sophisticated CD/DVD burning application - localizations files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps
@@ -121,7 +117,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libk3b7 (= ${binary:Version}), ${misc:Depends}
+Depends: libk3b7 (= ${binary:Version}),
+         ${misc:Depends},
 Description: KDE CD/DVD burning application library - development files
  K3b provides a comfortable user interface to perform most CD/DVD burning
  tasks. While the experienced user can take influence in all steps

## k3b 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "21")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(k3b VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "5.10.0")
set (KF5_MIN_VERSION "5.86.0")
set (KDE_COMPILERSETTINGS_LEVEL "5.84")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" "${ECM_MODULE_PATH}")

##################  K3b version  ################################
set(K3B_VERSION_STRING ${RELEASE_SERVICE_VERSION})

# increase on BC breakage
set(K3B_LIB_VERSION_MAJOR 7)

# increase after adding functionality
set(K3B_LIB_VERSION_MINOR 0)
set(K3B_LIB_VERSION_RELEASE 0)


##################  K3b options #################################
option(K3B_DEBUG "K3b additional debugging support" OFF)
if(K3B_DEBUG)
    add_definitions(-g)
endif()
option(K3B_ENABLE_MUSICBRAINZ "Support for querying metadata about audio tracks from Musicbrainz." ON)
option(K3B_ENABLE_DVD_RIPPING "Support for ripping Video DVDs with optional decryption." ON)
option(K3B_ENABLE_TAGLIB "Support for reading audio file metadata using Taglib." ON)
option(K3B_BUILD_API_DOCS "Build the API documentation for the K3b libs." OFF)

# plugin options
option(K3B_BUILD_FFMPEG_DECODER_PLUGIN "Build FFmpeg decoder plugin" ON)
option(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN "Build Ogg-Vorbis decoder plugin" ON)
option(K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN "Build Ogg-Vorbis encoder plugin" ON)
option(K3B_BUILD_MAD_DECODER_PLUGIN "Build MAD mp3 decoder plugin" ON)
option(K3B_BUILD_MUSE_DECODER_PLUGIN "Build Musepack decoder plugin" ON)
option(K3B_BUILD_FLAC_DECODER_PLUGIN "Build Flac decoder plugin" ON)
option(K3B_BUILD_SNDFILE_DECODER_PLUGIN "Build libsndfile decoder plugin" ON)
option(K3B_BUILD_LAME_ENCODER_PLUGIN "Build Lame encoder plugin" ON)
option(K3B_BUILD_SOX_ENCODER_PLUGIN "Build Sox encoder plugin" ON)
option(K3B_BUILD_EXTERNAL_ENCODER_PLUGIN "Build external app encoder plugin" ON)
option(K3B_BUILD_WAVE_DECODER_PLUGIN "Build Wave decoder plugin" ON)

##################  K3b requirements #################################
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMInstallIcons)
include(ECMEnableSanitizers)
include(ECMSetupQtPluginMacroNames)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core DBus Gui)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Archive Config CoreAddons DocTools FileMetaData I18n IconThemes JobWidgets
                                     KCMUtils KIO Notifications NewStuff NotifyConfig Service Solid WidgetsAddons XmlGui)

find_package(Qt5WebKitWidgets)
set_package_properties(Qt5WebKitWidgets PROPERTIES
    DESCRIPTION "Qt5WebKitWidgets is used for prettier k3bdiskinfoview."
    TYPE OPTIONAL)
if(Qt5WebKitWidgets_FOUND)
    add_definitions(-DHAVE_QT5WEBKITWIDGETS)
endif()

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

option(WITH_NEW_SOLID_JOB "WIP: base Job class" Off)
add_feature_info(Solid::Job WITH_NEW_SOLID_JOB "WIP: Base class for Solid Asynchronous apis")
if(WITH_NEW_SOLID_JOB)
    add_definitions(-DWITH_NEW_SOLID_JOB)
endif()

find_package(Iconv)
set(HAVE_ICONV "${ICONV_FOUND}")

find_package(Samplerate)
set_package_properties(Samplerate PROPERTIES
    DESCRIPTION "Audio sampling rate conversion."
    URL "http://www.mega-nerd.com/SRC"
    TYPE REQUIRED)

find_package(KF5Cddb)
set_package_properties(KF5Cddb PROPERTIES
    DESCRIPTION "KF5 branch for CDDB library"
    URL "https://commits.kde.org/libkcddb"
    TYPE REQUIRED
    PURPOSE "libkcddb is used to retrieve audio CD meta data from the internet.")

if(K3B_ENABLE_DVD_RIPPING)
    find_package(DvdRead)
    set_package_properties(DvdRead PROPERTIES
        DESCRIPTION "Libdvdread provides a simple foundation for reading DVD video disks."
        URL "https://www.videolan.org/developers/libdvdnav.html"
        TYPE OPTIONAL)

    set(ENABLE_DVD_RIPPING "${DVDREAD_FOUND}")
endif()

if(K3B_ENABLE_TAGLIB)
    find_package(Taglib)
    set_package_properties(Taglib PROPERTIES
        DESCRIPTION "Read and write tags in audio files"
        URL "https://taglib.org/"
        TYPE OPTIONAL)

    set(ENABLE_TAGLIB "${TAGLIB_FOUND}")
endif()

if(K3B_ENABLE_MUSICBRAINZ)
    find_package(MusicBrainz)
    set_package_properties(MusicBrainz PROPERTIES
        DESCRIPTION "Provide information about the CD, about the artist or about related information"
        URL "https://musicbrainz.org/"
        TYPE OPTIONAL)

    set(ENABLE_MUSICBRAINZ "${MUSICBRAINZ_FOUND}")
endif()

if(K3B_BUILD_FFMPEG_DECODER_PLUGIN)
    find_package(FFmpeg)
    set_package_properties(FFmpeg PROPERTIES
        PURPOSE "Needed for the K3b FFmpeg decoder plugin which can decode virtually all audio types."
        URL "https://ffmpeg.org/"
        TYPE OPTIONAL)

    if(FFMPEG_FOUND)
        include(CheckSymbolExists)
        include(CMakePushCheckState)
        cmake_push_check_state()

        if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
            # FindKDE4Internal.cmake screws things up
            set(CMAKE_REQUIRED_FLAGS ${CMAKE_REQUIRED_FLAGS} -std=c99)
        endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")

        if(FFMPEG_INCLUDE_DIR_OLD_STYLE)
            set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${FFMPEG_INCLUDE_DIR_OLD_STYLE})
            set(FFMPEG_HEADERS ffmpeg/avcodec.h ffmpeg/avformat.h)
        else(FFMPEG_INCLUDE_DIR_OLD_STYLE)
            set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${FFMPEG_INCLUDE_DIR} ${FFMPEG_INCLUDE_DIRS})
            set(FFMPEG_HEADERS libavcodec/avcodec.h libavformat/avformat.h)
            set(CMAKE_REQUIRED_DEFINITIONS ${CMAKE_REQUIRED_DEFINITIONS} -DNEWFFMPEGAVCODECPATH)
        endif(FFMPEG_INCLUDE_DIR_OLD_STYLE)
        set(CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${FFMPEG_LIBRARIES})

        check_symbol_exists(avformat_open_input "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_OPEN_INPUT)
        check_symbol_exists(av_dump_format "${FFMPEG_HEADERS}" HAVE_FFMPEG_AV_DUMP_FORMAT)
        check_symbol_exists(avformat_find_stream_info "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_FIND_STREAM_INFO)
        check_symbol_exists(avformat_close_input "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVFORMAT_CLOSE_INPUT)
        check_symbol_exists(avcodec_open2 "${FFMPEG_HEADERS}" HAVE_FFMPEG_AVCODEC_OPEN2)
        include(CheckCSourceCompiles)
        check_c_source_compiles("
            #ifdef NEWFFMPEGAVCODECPATH
            #include <libavcodec/avcodec.h>
            #else
            #include <ffmpeg/avcodec.h>
            #endif
            int main() { enum AVMediaType t = AVMEDIA_TYPE_UNKNOWN; return 0; }
            " HAVE_FFMPEG_AVMEDIA_TYPE)
        check_c_source_compiles("
            #ifdef NEWFFMPEGAVCODECPATH
            #include <libavcodec/avcodec.h>
            #else
            #include <ffmpeg/avcodec.h>
            #endif
            int main() {
            #if LIBAVCODEC_BUILD >= AV_VERSION_INT(54,25,0)
            # Not needed here. AV_CODEC_ID_MP3 exists.
            #else
            enum CodecID t = CODEC_ID_MP3;
            #endif
            return 0;
            }
            " HAVE_FFMPEG_CODEC_MP3)

        cmake_pop_check_state()
    endif(FFMPEG_FOUND)

    set(BUILD_FFMPEG_DECODER_PLUGIN "${FFMPEG_FOUND}")
endif(K3B_BUILD_FFMPEG_DECODER_PLUGIN)

if(K3B_BUILD_FLAC_DECODER_PLUGIN)
    find_package(Flac)
    set_package_properties(Flac PROPERTIES
        PURPOSE "Needed for the Flac audio decoder plugin."
        URL "https://xiph.org/flac/"
        TYPE OPTIONAL)

    find_package(Flac++)
    set_package_properties(Flac++ PROPERTIES
        PURPOSE "Needed for the Flac audio decoder plugin."
        URL "https://xiph.org/flac/"
        TYPE OPTIONAL)

    if(FLAC_FOUND AND FLAC++_FOUND)
        set(BUILD_FLAC_DECODER_PLUGIN 1)
    endif()
endif()

if(K3B_BUILD_MAD_DECODER_PLUGIN)
    find_package(Mad)
    set_package_properties(Mad PROPERTIES
        PURPOSE "Needed for the mp3 audio decoder plugin."
        URL "https://www.underbit.com/products/mad"
        TYPE OPTIONAL)

    set(BUILD_MAD_DECODER_PLUGIN "${MAD_FOUND}")
endif()

if(K3B_BUILD_MUSE_DECODER_PLUGIN)
    find_package(Muse)
    set_package_properties(Muse PROPERTIES
        PURPOSE "Needed for the Musepack audio decoder plugin"
        URL "https://www.musepack.net/"
        TYPE OPTIONAL)

    set(BUILD_MUSE_DECODER_PLUGIN "${MUSE_FOUND}")
endif()

if(K3B_BUILD_SNDFILE_DECODER_PLUGIN)
    find_package(Sndfile)
    set_package_properties(Sndfile PROPERTIES
        PURPOSE "Needed for the libsndfile audio decoder plugin."
        URL "http://www.mega-nerd.com/libsndfile"
        TYPE OPTIONAL)

    set(BUILD_SNDFILE_DECODER_PLUGIN "${SNDFILE_FOUND}")
endif()

if(K3B_BUILD_LAME_ENCODER_PLUGIN)
    find_package(Lame)
    set_package_properties(Lame PROPERTIES
        DESCRIPTION "Lame mp3 encoder"
        PURPOSE "Needed for the lame mpf encoder encoder plugin."
        URL "https://lame.sourceforge.io/"
        TYPE OPTIONAL)

    set(BUILD_LAME_ENCODER_PLUGIN "${LAME_FOUND}")
endif()

if(K3B_BUILD_OGGVORBIS_DECODER_PLUGIN OR K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN)
    find_package(OggVorbis)
    set_package_properties(OggVorbis PROPERTIES
        DESCRIPTION "Ogg Vorbis"
        PURPOSE "Needed for the K3b Ogg Vorbis decoder and encoder plugins."
        URL "https://xiph.org/vorbis/"
        TYPE OPTIONAL)

    set(BUILD_OGGVORBIS_DECODER_PLUGIN "${OGGVORBIS_FOUND}")
    set(BUILD_OGGVORBIS_ENCODER_PLUGIN "${OGGVORBIS_FOUND}")
endif()

###################  K3b build settings #################################
include(ConfigureChecks)

set(BUILD_WAVE_DECODER_PLUGIN "${K3B_BUILD_WAVE_DECODER_PLUGIN}")
set(BUILD_SOX_ENCODER_PLUGIN "${K3B_BUILD_SOX_ENCODER_PLUGIN}")
set(BUILD_EXTERNAL_ENCODER_PLUGIN "${K3B_BUILD_EXTERNAL_ENCODER_PLUGIN}")

set(ENABLE_HAL_SUPPORT "${K3B_ENABLE_HAL_SUPPORT}")
set(ENABLE_AUDIO_PLAYER "${QT_QTMULTIMEDIA_FOUND}")

if(IS_ABSOLUTE ${DATA_INSTALL_DIR})
  set(K3B_DATA_INSTALL_DIR ${DATA_INSTALL_DIR}/k3b)
else()
  set(K3B_DATA_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/${DATA_INSTALL_DIR}/k3b)
endif()

configure_file(config-k3b.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-k3b.h)
include_directories(${CMAKE_BINARY_DIR})

ecm_setup_qtplugin_macro_names(
    JSON_NONE
        K3B_EXPORT_PLUGIN
        K3B_EXPORT_PLUGIN_CONFIG_WIDGET
)

##################  K3b apidox ################################
if(K3B_BUILD_API_DOCS)
    find_package(Doxygen)

    if(DOXYGEN_EXECUTABLE)
        configure_file(${CMAKE_SOURCE_DIR}/Doxyfile.cmake ${CMAKE_BINARY_DIR}/Doxyfile)

        if(EXISTS ${QT_DOC_DIR}/html)
            set(QTDOCS "${QT_DOC_DIR}/html")
        else()
            set(QTDOCS "https://doc.qt.io/qt-5/")
        endif()

        add_custom_target(apidox
            COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile
            COMMAND docs/html/installdox -l qt5.tag@${QTDOCS} docs/html/*.html)
    endif()
endif(K3B_BUILD_API_DOCS)

##################  K3b build environment ################################
add_subdirectory( libk3bdevice )
add_subdirectory( libk3b )
add_subdirectory( src )
add_subdirectory( kioslaves )
add_subdirectory( plugins )
add_subdirectory( doc )
if(BUILD_TESTING)
    find_package(Qt5Test REQUIRED)
    find_package(LibFuzzer)
    set_package_properties(LibFuzzer PROPERTIES
        PURPOSE "libFuzzer – a library for coverage-guided fuzz testing."
        URL "https://llvm.org/docs/LibFuzzer.html"
        TYPE OPTIONAL)
    add_subdirectory(tests)
endif()

###################  K3b config summary ################################
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== libk3b/plugin/CMakeLists.txt ===

install( FILES
  k3bplugin.h
  k3bpluginmanager.h
  k3baudiodecoder.h
  k3baudioencoder.h
  k3bpluginconfigwidget.h
  k3bprojectplugin.h
  DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel )

# TODO KF6 remove
install( FILES k3bplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

=== plugins/decoder/ffmpeg/CMakeLists.txt ===
kcoreaddons_add_plugin(k3bffmpegdecoder
    SOURCES k3bffmpegdecoder.cpp k3bffmpegwrapper.cpp
    INSTALL_NAMESPACE "k3b")

if(FFMPEG_INCLUDE_DIR_OLD_STYLE)
    message(STATUS "didn't find new ffmpegcodecpath")
    target_include_directories(k3bffmpegdecoder PRIVATE ${FFMPEG_INCLUDE_DIR_OLD_STYLE})
else()
    message(STATUS "found new ffmpegcodecpath")
    target_compile_definitions(k3bffmpegdecoder PRIVATE NEWFFMPEGAVCODECPATH)
    target_include_directories(k3bffmpegdecoder PRIVATE ${FFMPEG_INCLUDE_DIR} ${FFMPEG_INCLUDE_DIRS})
endif()

target_link_libraries(k3bffmpegdecoder k3bdevice k3blib KF5::I18n ${FFMPEG_LIBRARIES})

=== plugins/decoder/flac/CMakeLists.txt ===

check_cxx_source_compiles("
#include <FLAC++/metadata.h>
int main()
{
    FLAC::Metadata::VorbisComment* vc;
    vc->get_vendor_string().get_field();
    return 0;
}
" FLAC_LESS_THAN_1_1_1 )

if( NOT FLAC_LESS_THAN_1_1_1)
    set(FLAC_NEWER_THAN_1_1_1 1)
endif()

configure_file(config-flac.h.cmake config-flac.h )

kcoreaddons_add_plugin(k3bflacdecoder
    SOURCES k3bflacdecoder.cpp
    INSTALL_NAMESPACE "k3b")

target_include_directories(k3bflacdecoder PRIVATE ${FLAC++_INCLUDE_DIR} ${FLAC_INCLUDE_DIR})

target_link_libraries(k3bflacdecoder k3bdevice k3blib KF5::I18n ${FLAC++_LIBRARIES} ${FLAC_LIBRARIES})

if(ENABLE_TAGLIB)
    target_link_libraries(k3bflacdecoder Taglib::Taglib)
endif()

=== plugins/decoder/ogg/CMakeLists.txt ===
kcoreaddons_add_plugin(k3boggvorbisdecoder
    SOURCES k3boggvorbisdecoder.cpp
    INSTALL_NAMESPACE "k3b")

target_link_libraries(k3boggvorbisdecoder k3bdevice k3blib KF5::I18n ${OGGVORBIS_LIBRARIES})

=== plugins/decoder/wave/CMakeLists.txt ===
kcoreaddons_add_plugin(k3bwavedecoder
    SOURCES k3bwavedecoder.cpp
    INSTALL_NAMESPACE "k3b")

target_link_libraries(k3bwavedecoder k3bdevice k3blib KF5::I18n)

=== plugins/encoder/external/CMakeLists.txt ===
kcoreaddons_add_plugin(k3bexternalencoder
    SOURCES k3bexternalencoder.cpp k3bexternalencodercommand.cpp
    INSTALL_NAMESPACE "k3b")

target_link_libraries(k3bexternalencoder
    k3bdevice
    k3blib
    KF5::I18n
)

ki18n_wrap_ui(ui_sources
    base_k3bexternalencoderconfigwidget.ui
    base_k3bexternalencodereditdialog.ui
)

add_library(kcm_k3bexternalencoder MODULE
    k3bexternalencoderconfigwidget.cpp
    k3bexternalencodercommand.cpp
    ${ui_sources}
)

target_link_libraries(kcm_k3bexternalencoder
    k3bdevice
    k3blib
    KF5::I18n
)

install(TARGETS kcm_k3bexternalencoder DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kcm_k3bexternalencoder.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/encoder/lame/CMakeLists.txt ===
kcoreaddons_add_plugin(k3blameencoder
    SOURCES k3blameencoder.cpp
    INSTALL_NAMESPACE "k3b")

target_link_libraries(k3blameencoder
    k3bdevice
    k3blib
    KF5::I18n
    ${LAME_LIBRARIES}
)

ki18n_wrap_ui(ui_sources
    base_k3blameencodersettingswidget.ui
    base_k3bmanualbitratesettingsdialog.ui
)

add_library(kcm_k3blameencoder MODULE
    k3blameencoderconfigwidget.cpp
    k3blamemanualsettingsdialog.cpp
    ${ui_sources}
)

target_link_libraries(kcm_k3blameencoder
    k3bdevice
    k3blib
    KF5::I18n
)

install(TARGETS kcm_k3blameencoder DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kcm_k3blameencoder.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/encoder/sox/CMakeLists.txt ===
kcoreaddons_add_plugin(k3bsoxencoder
    SOURCES k3bsoxencoder.cpp
    INSTALL_NAMESPACE "k3b")

target_link_libraries(k3bsoxencoder
    k3bdevice
    k3blib
    KF5::I18n
)

ki18n_wrap_ui(ui_sources base_k3bsoxencoderconfigwidget.ui)

add_library(kcm_k3bsoxencoder MODULE k3bsoxencoderconfigwidget.cpp ${ui_sources})

target_link_libraries(kcm_k3bsoxencoder
    k3bdevice
    k3blib
    KF5::I18n
)

install(TARGETS kcm_k3bsoxencoder DESTINATION ${PLUGIN_INSTALL_DIR} )

install(FILES kcm_k3bsoxencoder.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
k3b (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:06:52 +0000

k3b (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:13:22 +0000

k3b (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)
  * Install Russion docs translation.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:21:15 +0000

k3b (21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:18:04 +0000

k3b (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:13:36 +0000

k3b (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:23:01 +0000

k3b (21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:36:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: k3b
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Michael Meskes <meskes@debian.org>,
            Mark Purcell <msp@debian.org>
@@ -15,7 +16,7 @@
                libflac++-dev,
                libflac-dev,
                libkf5archive-dev (>= 5.56.0~),
-               libkf5cddb-dev (>= 4:21.08.1~),
+               libkf5cddb-dev (>= 4:21.12.3~),
                libkf5config-dev (>= 5.56.0~),
                libkf5coreaddons-dev (>= 5.56.0~),
                libkf5doctools-dev (>= 5.56.0~),
